> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/api-references/general/account-apikey.md).

# Account APIKey

Account API key management

## GET /v3/account/apiKey

> List all API keys

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"AccountAPIKey","description":"Account API key management"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"AccountApiKey":{"type":"object","required":["id","category","key","assignOdpServerIps","used"],"properties":{"id":{"type":"integer","format":"integer","description":"API key ID","readOnly":true},"category":{"type":"integer","format":"integer","description":"API key access category"},"key":{"type":"string","format":"","description":"API key","readOnly":true},"note":{"type":"string","format":"","description":"API key note","nullable":true},"assignOdpServerIps":{"type":"integer","format":"integer","description":"Whether or not to assign ODP server IPs"},"used":{"type":"integer","format":"integer","description":"Number of times that the API key was used","readOnly":true},"expiresAt":{"type":"integer","format":"integer","description":"API key expiration time as UNIX timestamp","nullable":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/apiKey":{"get":{"tags":["AccountAPIKey"],"summary":"List all API keys","operationId":"getAccountApiKeys","parameters":[{"name":"RANGED-DATA","in":"header","description":"Example header and default range: RANGED-DATA:start=0,results=25","schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountApiKey"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /v3/account/apiKey

> Generate API key

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"AccountAPIKey","description":"Account API key management"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"AccountApiKey":{"type":"object","required":["id","category","key","assignOdpServerIps","used"],"properties":{"id":{"type":"integer","format":"integer","description":"API key ID","readOnly":true},"category":{"type":"integer","format":"integer","description":"API key access category"},"key":{"type":"string","format":"","description":"API key","readOnly":true},"note":{"type":"string","format":"","description":"API key note","nullable":true},"assignOdpServerIps":{"type":"integer","format":"integer","description":"Whether or not to assign ODP server IPs"},"used":{"type":"integer","format":"integer","description":"Number of times that the API key was used","readOnly":true},"expiresAt":{"type":"integer","format":"integer","description":"API key expiration time as UNIX timestamp","nullable":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/apiKey":{"post":{"tags":["AccountAPIKey"],"summary":"Generate API key","operationId":"createApiKeyForUser","requestBody":{"description":"key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountApiKey"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountApiKey"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/account/apiKey/{apiKeyId}

> Update API key

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"AccountAPIKey","description":"Account API key management"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"AccountApiKey":{"type":"object","required":["id","category","key","assignOdpServerIps","used"],"properties":{"id":{"type":"integer","format":"integer","description":"API key ID","readOnly":true},"category":{"type":"integer","format":"integer","description":"API key access category"},"key":{"type":"string","format":"","description":"API key","readOnly":true},"note":{"type":"string","format":"","description":"API key note","nullable":true},"assignOdpServerIps":{"type":"integer","format":"integer","description":"Whether or not to assign ODP server IPs"},"used":{"type":"integer","format":"integer","description":"Number of times that the API key was used","readOnly":true},"expiresAt":{"type":"integer","format":"integer","description":"API key expiration time as UNIX timestamp","nullable":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/apiKey/{apiKeyId}":{"put":{"tags":["AccountAPIKey"],"summary":"Update API key","operationId":"updateAccountApiKey","parameters":[{"name":"apiKeyId","in":"path","description":"ID of API key to update","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountApiKey"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AccountApiKey"}}}}},"403":{"description":"Invalid credentials"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /v3/account/apiKey/{apiKeyId}

> Delete API key

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"AccountAPIKey","description":"Account API key management"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/account/apiKey/{apiKeyId}":{"delete":{"tags":["AccountAPIKey"],"summary":"Delete API key","operationId":"deleteAccountApiKey","parameters":[{"name":"apiKeyId","in":"path","description":"ID of API key to delete","required":true,"schema":{"type":"integer"}}],"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"404":{"description":"Invalid apiKeyId"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.i3d.net/api-references/general/account-apikey.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
